package w3c.jigsaw.upgrade.from1to2;

public class ClassLooker {

    public static boolean isSubclass(String clsname, String superclsname) 
	throws ClassNotFoundException
    {
	Class cls      = Class.forName(clsname);
	Class supercls = Class.forName(superclsname);
	while ((cls != null) && (cls != supercls)) 
	    cls = cls.getSuperclass();
	return (cls != null);
    }

}
